Subject: Re: bug#9319: Compilation fontification regression

From: Juri Linkov <[email-masked]>
Date: Mon, 22 Aug 2011 15:48:08 +0300

> Both problems were due to incorrect code in compilation-error-properties
> causing it to signal an error for error definitions with nil filenames,
> introduced when Stefan revamped compile.el.  I've committed a fix.

Thanks, now this is fixed.

I noticed another regression: in etc/compilation.txt the line

  tool1 -output=foo foo.x

is highlighted incorrectly.

This is caused by revno:102131 from:
http://lists.gnu.org/archive/html/emacs-devel/2010-10/msg01018.html

I fixed this by reverting to the old regexp and removing just one
unnecessary question mark.  Now all these samples are highlighted
correctly:

tool -o foo.o foo.c
tool -o=foo.o foo.c
tool -output foo.o foo.c
tool -output=foo.o foo.c
tool -outfile foo.o foo.c
tool -outfile=foo.o foo.c
tool --output foo.o foo.c
tool --output=foo.o foo.c
tool --outfile foo.o foo.c
tool --outfile=foo.o foo.c

whereas the following are not highlighted:

tool --omega foo.c
tool --output-html-file foo.c